#!/bin/bash

# Afficher les totaux négatif/positifs des comptes ayant adhérés l'année A
# Avec A variant

# Si --no-club est fourni, ne comptabilise pas les clubs
# Si --club est fourni, ne comptabilise que les clubs

# Pour greper la ligne contenant le résultat
# Non utilisé dans cette version
result_regex='^\s*-?\d*\.\d*\s*$'

if [[ "$1" = "--no-club" ]]
then
    echo "Ne prendra pas en compte les clubs."
    cond=" AND NOT club"
fi
if [[ "$1" = "--club" ]]
then
    echo "Ne prendra en compte que les clubs."
    cond=" AND club"
fi

for i in 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013
do
  echo "En $i :"
  # Bon, le grep est pourri, mais la version de bde de egrep fait de la merde
  psql bde -c "SELECT sum(solde) FROM adherents adh,inscriptions ins WHERE adh.numcbde=ins.adherent AND annee=$i AND solde<0${cond};" | grep \\.
  psql bde -c "SELECT sum(solde) FROM adherents adh,inscriptions ins WHERE adh.numcbde=ins.adherent AND annee=$i AND solde>0${cond};" | grep \\.
done
