#!/bin/bash

# Pour mettre à jour les fichiers de configuration personnelle
# sur toutes les machines où j'ai accès

color='[0;31m'
endcolor='[0m'

if [ "$1" = "--local" ]
then
    localmode=".local"
fi

echo "Les machines de Serenity sont en dernier (.local issue)"

# locally
echo "${color}sur eva:${endcolor} (localement)"
cd ~/scripts
git pull

for i in zamok cerebro bde-test bde2 pimeys cabal${localmode}
do
    echo "${color}sur $i:${endcolor}"
    ssh $i 'cd scripts; git pull'
done
