#!/bin/bash

# Pour trouver les transactions de quelqu'un dans la base de données

export LESS='-S'

psql note -c "
   SELECT t.id,t.date,t.quantite,t.montant,t.description,t.valide,t.emetteur,t.destinataire,
          adhe.pseudo AS emetteur, adhd.pseudo AS destinataire
   FROM transactions AS t, comptes AS adhe, comptes AS adhd
   WHERE $1 in (emetteur, destinataire) AND t.emetteur=adhe.idbde AND t.destinataire=adhd.idbde AND valide
   ORDER BY date DESC;"
